public static interface CryptoCmsEndpointBuilderFactory.CryptoCmsBuilders
| Modifier and Type | Method and Description |
|---|---|
default CryptoCmsEndpointBuilderFactory.CryptoCmsEndpointBuilder |
cryptoCms(String path)
Deprecated.
|
default CryptoCmsEndpointBuilderFactory.CryptoCmsEndpointBuilder |
cryptoCms(String componentName,
String path)
Deprecated.
|
@Deprecated default CryptoCmsEndpointBuilderFactory.CryptoCmsEndpointBuilder cryptoCms(String path)
crypto-cms:cryptoOperation:name
Path parameter: cryptoOperation (required)
Set the Crypto operation from that supplied after the crypto scheme
in the endpoint uri e.g. crypto-cms:sign sets sign as the operation.
Possible values: sign, verify, encrypt, or decrypt.
There are 4 enums and the value can be one of: sign, verify, encrypt,
decrypt
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different signer/verifier/encryptor/decryptor endpoints
within the camel context.path - cryptoOperation:name@Deprecated default CryptoCmsEndpointBuilderFactory.CryptoCmsEndpointBuilder cryptoCms(String componentName, String path)
crypto-cms:cryptoOperation:name
Path parameter: cryptoOperation (required)
Set the Crypto operation from that supplied after the crypto scheme
in the endpoint uri e.g. crypto-cms:sign sets sign as the operation.
Possible values: sign, verify, encrypt, or decrypt.
There are 4 enums and the value can be one of: sign, verify, encrypt,
decrypt
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different signer/verifier/encryptor/decryptor endpoints
within the camel context.componentName - to use a custom component name for the endpoint
instead of the default namepath - cryptoOperation:nameApache Camel